import { App } from 'vue';
// 请求检测函数
import { checkResult } from './checkResult';
// limit固定值
const limitValue = import.meta.env.VITE_APP_PAGE_SIZE || 10;
// is_use默认值,不在数据库中规定
const isUseList = [
  { label: '使用', value: '0' },
  { label: '禁用', value: '1' }
];
export const ProvideOnApp = (app: App<Element>) => {
  app.provide('$checkRes', checkResult);
  app.provide('$limit', limitValue);
  app.provide('$isUseList', isUseList);
};
