// 网站基本设置
export const siteInfo = {
  display: false,
  zhTitle: '吉林省重点领域技术转移平台',
  logo_url: '/src/assets/logo.png'
};
// 菜单设置
export const menuInfo = {
  info: {
    display: false,
    mode: 'horizontal',
    backColor: '#242f42',
    textColor: '#ffffff'
  },
  menuList: [
    { icon: 'iconshouye', _id: 'admin_1', path: '/homeIndex', name: '系统首页' },
    {
      icon: 'iconshouye',
      _id: 'admin_2',
      name: '用户管理',
      index: '2',
      type: '0',
      children: [
        { icon: 'iconshouye', _id: 'admin_2_1', path: '/user/admin', name: '管理员管理' },
        { icon: 'iconshouye', _id: 'admin_2_2', path: '/user/research', name: '个人用户管理' },
        { icon: 'iconshouye', _id: 'admin_2_3', path: '/user/selfUser', name: '企业用户管理' },
        { icon: 'iconshouye', _id: 'admin_2_4', path: '/user/unit', name: '科研单位管理' }
      ]
    },
    {
      icon: 'iconshouye',
      _id: 'admin_3',
      name: '核心业务管理',
      index: '3',
      type: '0',
      children: [
        { icon: 'iconshouye', _id: 'admin_3_1', path: '/core/achieve', name: '成果管理' },
        { icon: 'iconshouye', _id: 'admin_3_2', path: '/core/demand', name: '需求管理' },
        { icon: 'iconshouye', _id: 'admin_3_2', path: '/core/service', name: '服务管理' },
        {
          icon: 'iconshouye',
          _id: 'admin_3_2',
          path: '/core/trade',
          name: '交易管理',
          type: '0',
          children: [
            {
              icon: 'iconshouye',
              _id: 'admin_3_1_1',
              path: '/core/trade/auction/admin',
              name: '拍卖管理'
            },
            {
              icon: 'iconshouye',
              _id: 'admin_3_1_2',
              path: '/core/trade/listing/admin',
              name: '挂牌交易'
            },
            {
              icon: 'iconshouye',
              _id: 'admin_3_1_3',
              path: '/core/trade/negotiate/admin',
              name: '协商定价'
            }
          ]
        }
      ]
    },
    {
      icon: 'iconshouye',
      _id: 'admin_4',
      name: '平台服务管理',
      index: '4',
      type: '0',
      children: [
        { icon: 'iconshouye', _id: 'admin_4_1', path: '/service/notice', name: '办事事项管理' },
        { icon: 'iconshouye', _id: 'admin_4_2', path: '/service/policy', name: '通知公告管理' },
        { icon: 'iconshouye', _id: 'admin_4_3', path: '/service/trends', name: '政策法规管理' },
        { icon: 'iconshouye', _id: 'admin_4_4', path: '/service/video/admin', name: '点播视频管理' }
      ]
    },
    {
      icon: 'iconshouye',
      _id: 'admin_5',
      name: '账号管理',
      index: '5',
      type: '0',
      children: [{ icon: 'iconshouye', _id: 'admin_5_1', path: '/acccount/updatepd', name: '修改密码' }]
    },
    {
      icon: 'iconshouye',
      _id: 'admin_6',
      name: '系统设置',
      index: '6',
      type: '0',
      children: [
        { icon: 'iconshouye', _id: 'admin_6_1', path: '/system/menus', name: '菜单管理' },
        { icon: 'iconshouye', _id: 'admin_6_2', path: '/system/role', name: '角色管理' },
        { icon: 'iconshouye', _id: 'admin_6_3', path: '/system/config', name: '基础设置' },
        { icon: 'iconshouye', _id: 'admin_6_4', path: '/system/dict', name: '字典管理' }
      ]
    }
  ]
};
